gnutls_pkcs11_token_set_pin(3)

NAME
gnutls_pkcs11_token_set_pin - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_token_set_pin(const char * token_url, const char * oldpin, const char * newpin, unsigned int flags);

ARGUMENTS

const char * token_url
    A PKCS 11 URL specifying a token

const char * oldpin
    old user's PIN

const char * newpin
    new user's PIN

unsigned int flags
    one of gnutls_pin_flag_t.

DESCRIPTION
This function will modify or set a user's PIN for the given token. If it is called to set a user pin for first time the oldpin must be NULL.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/